using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Mpeg2.PacketFilter
{
	/// <summary>
	/// This filter nukes packets which are marked scrambled.
	/// </summary>
	/// 
	[PluginPriority(1000)]
	public class ScrambleFilter : BasePacketFilter
	{
		protected override bool PassPacketEx(TsPacket packet)
		{
			if (packet.TSC == 0)
				return true;
			else
			{
				return false;
			}
		}
	}
}
